Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.profiling.component
Class ProfilingPngSerializer

    java.lang.Object
      org.apache.cocoon.profiling.component.ProfilingPngSerializer

All Implemented Interfaces:
  CachingPipelineComponent, Finisher, PipelineComponent, Starter

    public class ProfilingPngSerializer

extends Object
implements Starter, Finisher, CachingPipelineComponent

A cocoon pipeline component that generates and serializes a png image that visualizes profiling information.

Constructor Summary
`ProfilingPngSerializer()`

Method Summary
`CacheKey` | `constructCacheKey()`
`void` | `execute()`
`void` | `finish()` Writes the image data to the output stream.
`String` | `getContentType()`
`void` | `setConfiguration(Map<String,? extends Object> configuration)` Pass component specific configuration parameters to the pipeline component in a generic way.
`void` | `setOutputStream(OutputStream outputStream)`
`void` | `setProfilingDataHolder(ProfilingDataHolder dataHolder)`
`void` | `setup(Map<String,Object> parameters)` The shared object map for this pipeline run.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfilingPngSerializer

    public ProfilingPngSerializer()

Method Detail

### setOutputStream

    public void setOutputStream(OutputStream outputStream)

  Specified by:
    `setOutputStream` in interface `Finisher`

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in interface `Finisher`

### finish

    public void finish()

  Writes the image data to the output stream.

  Specified by:
    `finish` in interface `PipelineComponent`

### setConfiguration

    public void setConfiguration(Map<String,? extends Object> configuration)

  Pass component specific configuration parameters to the pipeline component in a generic way. This is useful in environments that automatically assemble pipelines with their components and can't use the components constructors or setters.

  Specified by:
    `setConfiguration` in interface `PipelineComponent`
  Parameters:
    `configuration` - The `Map` of configuration parameters.

### execute

    public void execute()

  Specified by:
    `execute` in interface `Starter`

### setProfilingDataHolder

    public void setProfilingDataHolder(ProfilingDataHolder dataHolder)

### setup

    public void setup(Map<String,Object> parameters)

  The shared object map for this pipeline run.

  Specified by:
    `setup` in interface `PipelineComponent`
  Parameters:
    `parameters` - A `Map` of parameters that are available to all `PipelineComponent`s. This is a modifiable map that can be changed by this pipeline component.

### constructCacheKey

    public CacheKey constructCacheKey()

  Specified by:
    `constructCacheKey` in interface `CachingPipelineComponent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.